Description

For example, if you search for a project name (even an exact match), the project is not the first hit.

History
#1 - 2011-03-29 11:06 AM - Chris Cannam

Tricky to resolve "properly" -- the sorting is by date and this affects pagination in a rather inflexible way.

However, the results page does have links to restrict the search type to e.g. Projects or whatever.  We could simply make those links more obvious.

#2 - 2011-03-29 11:16 AM - Chris Cannam
- Status changed from New to In Progress
- Assignee changed from Luis Figueira to Chris Cannam
- % Done changed from 0 to 50

Links now more obvious in commit:1333582e34c4 -- calling this "partly resolved"!

#3 - 2011-03-29 12:43 PM - Chris Cannam

Partial resolution now merged and live.

#4 - 2011-06-20 01:24 PM - Chris Cannam

I suppose one other thing we could do is simply show Projects results (if there are any) in a separate list above the general results.

A problem with this is that it may be a solution that's workable now only because there are not very many projects -- it wouldn't be very satisfactory to
be swamped by low-relevance hits on incidental words for dozens of projects.

#5 - 2011-07-13 12:47 PM - Chris Cannam

Implemented the latter idea in commit:87bfac1079fd (not live yet).

At the moment the project results are only shown separately if there are no more than five of them -- this might need tuning.

#6 - 2011-07-13 03:37 PM - Chris Cannam
- Status changed from In Progress to Resolved
#7 - 2011-07-14 05:18 PM - Chris Cannam
- Status changed from Resolved to Closed
